Переполнение буфера в KSignSWAT AxKSignSWAT Module ActiveX компоненте

Дата публикации:
24.05.2007
Дата изменения:
27.02.2008
Всего просмотров:
998
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
KSignSWAT 2.x
Уязвимые версии: KSignSWAT 2.0.3.3, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки проверки границ данных в AxKSignSWAT Module (AxKSignSWAT.dll) ActiveX компоненте при обработке методов "SWAT_Login()", "SWAT_Init()", "SWAT_InitEx()", "SWAT_InitEx2()" и "SWAT_InitEx3()". Удаленный пользователь может с помощью специально сформированной Web страницы вызвать переполнение стека и выполнить произвольный код на целевой системе.

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:

27.02.2008
Обновлена секция «Решение»

или введите имя

CAPTCHA